Manual do PHP
Anterior |  | Próxima

# DOMElement->setAttribute()

DOMElement->setAttribute() -- Adds new attribute

## Descrição

class DOMElement {
bool setAttribute ( string name, string value )
}

Sets an attribute with name name to the given value. If the attribute does not exist, it will be created.

## Lista de parâmetros

name

  The name of the attribute.

value

  The value of the attribute.

## Valores Retornados

Retorna `TRUE` em caso de sucesso ou `FALSE` em falhas.

## Exceptions

`DOM_NO_MODIFICATION_ALLOWED_ERR`

  Raised if the node is readonly.

## Exemplos

Exemplo 1. Setting an attribute

`<?php $doc = new DOMDocument("1.0"); $node = $doc->createElement("para"); $newnode = $doc->appendChild($node); $newnode->setAttribute("align", "left"); ?>`

## Veja também

DOMElement->hasAttribute()
DOMElement->getAttribute()
DOMElement->removeAttribute()

Anterior | Principal | Próxima
DOMElement->removeAttributeNS() | Acima | DOMElement->setAttributeNode()